%define anolis_release 2

Name:           sensible-utils
Version:        0.0.17
Release:        %{anolis_release}%{dist}
Summary:        Utilities for sensible alternative selection
BuildArch:      noarch
License:        GPL-2.0-or-later
URL:            https://packages.debian.org/unstable/admin/%{name}

#Source0:        http://ftp.de.debian.org/debian/pool/main/s/%{name}/%{name}_%{version}.tar.xz
Source0:        http://deb.debian.org/debian/pool/main/s/sensible-utils/sensible-utils_0.0.17+nmu1.tar.xz

# Just require gettext instead of installing a wrapper
Patch0:         0001-sensible-utils_gettext.patch

BuildRequires:  automake autoconf
BuildRequires:  make
BuildRequires:  po4a

# Needed by select-editor
Requires:       gettext-runtime

%description
This package provides a number of small utilities which are used by programs to
sensibly select and spawn an appropriate browser, editor, or pager.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}+nmu1

%build
# Needed for Patch0
autoreconf -ifv

%configure
%make_build

%install
%make_install

%files
%license debian/copyright
%{_bindir}/sensible-*
%{_bindir}/select-editor
%{_mandir}/man1/*.1*
%{_mandir}/*/man1/*.1*

%files doc
%doc debian/changelog

%changelog
* Fri Dec 15 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.0.17-2
- rebuild

* Sat Mar 25 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.0.17-1
- Init package from upstream
